AT-NFC 2.1 (win) AT-NFC kernel set

Macros | Typedefs | Functions
Kernel interface

Kernel interface definition. More...

## Macros
#define | NAME_FUNC_T_NFC_KERNEL_INIT "t_nfc_Init"
#define | NAME_FUNC_T_NFC_KERNEL_DEINIT "t_nfc_Deinit"
#define | NAME_FUNC_T_NFC_KERNEL_REGISTERCALLBACK "t_nfc_RegisterCallback"
#define | NAME_FUNC_T_NFC_KERNEL_VERSION "t_nfc_Version"
#define | NAME_FUNC_T_NFC_KERNEL_CHECKSUM "t_nfc_Checksum"
#define | NAME_FUNC_T_NFC_KERNEL_TRAN_PREPROCESS "t_nfc_TranPreprocessing"
#define | NAME_FUNC_T_NFC_KERNEL_TRAN_START "t_nfc_TranStart"
#define | NAME_FUNC_T_NFC_KERNEL_TRAN_ISS_UPDATE "t_nfc_TranIssUpdate"
#define | NAME_FUNC_T_NFC_KERNEL_TRAN_RELEASE "t_nfc_TranRelease"
#define | NAME_FUNC_T_NFC_KERNEL_GET_DATA "t_nfc_GetData"
#define | NAME_FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG "t_nfc_GetDataByTag"
#define | NAME_FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG_LIST "t_nfc_GetDataByTagList"
#define | NAME_FUNC_T_NFC_KERNEL_GET_DATA_BY_ID "t_nfc_GetDataByID"

## Typedefs
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_INIT) (KER_INT32U ulRuntimeKernelID, KER_VOID *pCallbackHandle, const T_NFC_CALLBACKS *pCallbacks, const KER_VOID *pConfigID, KER_INT16U usConfigIDLen, T_NFC_HANDLE *ppHandle)
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_DEINIT) (T_NFC_HANDLE pHandle)
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_REGISTERCALLBACK) (T_NFC_HANDLE pHandle, KER_INT16U usCllbackID, KER_VOID *pCallback)
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_VERSION) (T_NFC_HANDLE pHandle, KER_CHAR *pchVerInfo, KER_INT16U *pusVerInfoLen)
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_CHECKSUM) (T_NFC_HANDLE pHandle, KER_BYTE btCheckSumType, KER_BYTE *pbtCheckSum, KER_INT16U *pusCheckSumSize)
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_TRAN_PREPROCESS) (T_NFC_HANDLE pHandle, const NFC_EXT_TERM_TRAN_DATA *pTermTranData, const NFC_EP_PRE_DATA *pEpPRE)
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_TRAN_START) (T_NFC_HANDLE pHandle, const NFC_EP_PRE_DATA *pEpPRE, const NFC_EP_PPSE_DATA *pEpPPSE, const NFC_EP_TRAN_DATA *pEpTranData, NFC_OUTCOME **ppOutcome)
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_TRAN_ISS_UPDATE) (T_NFC_HANDLE pHandle, const NFC_EP_RESTART_DATA *pEpRestartData, const NFC_EXT_TERM_RESTART_DATA *pTermRestartData, NFC_OUTCOME **ppOutcome)
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_TRAN_RELEASE) (T_NFC_HANDLE pHandle)
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_GET_DATA) (T_NFC_HANDLE pHandle, KER_INT16U usOptions, KER_BYTE *pbtData, KER_INT16U *pusDataLen)
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG) (T_NFC_HANDLE pHandle, KER_INT16U usOptions, const KER_BYTE *pbtTag, KER_BYTE btTagSize, KER_BYTE *pbtData, KER_INT16U *pusDataSize)
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG_LIST) (T_NFC_HANDLE pHandle, KER_INT16U usOptions, const KER_BYTE *pbtTagList, KER_INT16U usTagListSize, KER_BYTE *pbtData, KER_INT16U *pusDataSize)
typedef KER_RES(KER_API * | FUNC_T_NFC_KERNEL_GET_DATA_BY_ID) (T_NFC_HANDLE pHandle, KER_INT16U usID, KER_BYTE *pbtData, KER_INT16U *pusDataSize)

## Functions
T_NFC_KER_MODE KER_RES KER_API | t_nfc_Init (KER_INT32U ulRuntimeKernelID, KER_VOID *pCallbackHandle, const T_NFC_CALLBACKS *pCallbacks, const KER_VOID *pConfigID, KER_INT16U usConfigIDLen, T_NFC_HANDLE *ppHandle)
| Kernel Initialization. More...
T_NFC_KER_MODE KER_RES KER_API | t_nfc_Deinit (T_NFC_HANDLE pHandle)
| Kernel De-Initialization. More...
T_NFC_KER_MODE KER_RES KER_API | t_nfc_RegisterCallback (T_NFC_HANDLE pHandle, KER_INT16U usCllbackID, KER_VOID *pCallback)
| Kernel callback registration. More...
T_NFC_KER_MODE KER_RES KER_API | t_nfc_Version (T_NFC_HANDLE pHandle, KER_CHAR *pchVerInfo, KER_INT16U *pusVerInfoLen)
| Kernel version information. More...
T_NFC_KER_MODE KER_RES KER_API | t_nfc_Checksum (T_NFC_HANDLE pHandle, KER_BYTE btCheckSumType, KER_BYTE *pbtCheckSum, KER_INT16U *pusCheckSumSize)
| Kernel checksum calculation. More...
T_NFC_KER_MODE KER_RES KER_API | t_nfc_TranPreprocessing (T_NFC_HANDLE pHandle, const NFC_EXT_TERM_TRAN_DATA *pTermTranData, const NFC_EP_PRE_DATA *pEpPRE)
| Makes transaction preprocessing by Kernel (optional) More...
T_NFC_KER_MODE KER_RES KER_API | t_nfc_TranStart (T_NFC_HANDLE pHandle, const NFC_EP_PRE_DATA *pEpPRE, const NFC_EP_PPSE_DATA *pEpPPSE, const NFC_EP_TRAN_DATA *pEpTranData, NFC_OUTCOME **ppOutcome)
| Start new transaction by Kernel. More...
T_NFC_KER_MODE KER_RES KER_API | t_nfc_TranIssUpdate (T_NFC_HANDLE pHandle, const NFC_EP_RESTART_DATA *pEpRestartData, const NFC_EXT_TERM_RESTART_DATA *pTermRestartData, NFC_OUTCOME **ppOutcome)
| Issuer data (obtained by auth request) processing. More...
T_NFC_KER_MODE KER_RES KER_API | t_nfc_TranRelease (T_NFC_HANDLE pHandle)
| Kernel Transaction completion (free resuorces) More...
T_NFC_KER_MODE KER_RES KER_API | t_nfc_GetData (T_NFC_HANDLE pHandle, KER_INT16U usOptions, KER_BYTE *pbtData, KER_INT16U *pusDataLen)
| Kernel transaction data request. More...
T_NFC_KER_MODE KER_RES KER_API | t_nfc_GetDataByTag (T_NFC_HANDLE pHandle, KER_INT16U usOptions, const KER_BYTE *pbtTag, KER_BYTE btTagSize, KER_BYTE *pbtData, KER_INT16U *pusDataSize)
| Kernel transaction data request. More...
T_NFC_KER_MODE KER_RES KER_API | t_nfc_GetDataByTagList (T_NFC_HANDLE pHandle, KER_INT16U usOptions, const KER_BYTE *pbtTagList, KER_INT16U usTagListSize, KER_BYTE *pbtData, KER_INT16U *pusDataSize)
| Kernel transaction data request. More...
T_NFC_KER_MODE KER_RES KER_API | t_nfc_GetDataByID (T_NFC_HANDLE pHandle, KER_INT16U usID, KER_BYTE *pbtData, KER_INT16U *pusDataSize)
| Kernel data request by ID. More...
#define | T_NFC_CHECKSUM_KERNEL 0x00
#define | T_NFC_CHECKSUM_CONFIG 0x01
#define | T_NFC_CHECKSUM_FULL_CONFIG 0x02
#define | T_NFC_KER_GET_OPT_CUST 0x0001
#define | T_NFC_KER_GET_OPT_SKIP_STD_PROC 0x0002

## Detailed Description

Kernel interface definition.

## Macro Definition Documentation

## ◆ NAME_FUNC_T_NFC_KERNEL_CHECKSUM

#define NAME_FUNC_T_NFC_KERNEL_CHECKSUM "t_nfc_Checksum"

\ ( )

## ◆ NAME_FUNC_T_NFC_KERNEL_DEINIT

#define NAME_FUNC_T_NFC_KERNEL_DEINIT "t_nfc_Deinit"

\ ( )

## ◆ NAME_FUNC_T_NFC_KERNEL_GET_DATA

#define NAME_FUNC_T_NFC_KERNEL_GET_DATA "t_nfc_GetData"

\ ( )

## ◆ NAME_FUNC_T_NFC_KERNEL_GET_DATA_BY_ID

#define NAME_FUNC_T_NFC_KERNEL_GET_DATA_BY_ID "t_nfc_GetDataByID"

\ ( )

## ◆ NAME_FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG

#define NAME_FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG "t_nfc_GetDataByTag"

\ ( )

## ◆ NAME_FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG_LIST

#define NAME_FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG_LIST "t_nfc_GetDataByTagList"

\ ( )

## ◆ NAME_FUNC_T_NFC_KERNEL_INIT

#define NAME_FUNC_T_NFC_KERNEL_INIT "t_nfc_Init"

\ ( )

## ◆ NAME_FUNC_T_NFC_KERNEL_REGISTERCALLBACK

#define NAME_FUNC_T_NFC_KERNEL_REGISTERCALLBACK "t_nfc_RegisterCallback"

\ ( )

## ◆ NAME_FUNC_T_NFC_KERNEL_TRAN_ISS_UPDATE

#define NAME_FUNC_T_NFC_KERNEL_TRAN_ISS_UPDATE "t_nfc_TranIssUpdate"

\ ( )

## ◆ NAME_FUNC_T_NFC_KERNEL_TRAN_PREPROCESS

#define NAME_FUNC_T_NFC_KERNEL_TRAN_PREPROCESS "t_nfc_TranPreprocessing"

\ ( )

## ◆ NAME_FUNC_T_NFC_KERNEL_TRAN_RELEASE

#define NAME_FUNC_T_NFC_KERNEL_TRAN_RELEASE "t_nfc_TranRelease"

\ ( )

## ◆ NAME_FUNC_T_NFC_KERNEL_TRAN_START

#define NAME_FUNC_T_NFC_KERNEL_TRAN_START "t_nfc_TranStart"

\ ( )

## ◆ NAME_FUNC_T_NFC_KERNEL_VERSION

#define NAME_FUNC_T_NFC_KERNEL_VERSION "t_nfc_Version"

\ ( )

## ◆ T_NFC_CHECKSUM_CONFIG

#define T_NFC_CHECKSUM_CONFIG 0x01

config checksum

## ◆ T_NFC_CHECKSUM_FULL_CONFIG

#define T_NFC_CHECKSUM_FULL_CONFIG 0x02

full config checksum

## ◆ T_NFC_CHECKSUM_KERNEL

#define T_NFC_CHECKSUM_KERNEL 0x00

kernel checksum

## ◆ T_NFC_KER_GET_OPT_CUST

#define T_NFC_KER_GET_OPT_CUST 0x0001

also look in custom data, not recognized by EMVCo

## ◆ T_NFC_KER_GET_OPT_SKIP_STD_PROC

#define T_NFC_KER_GET_OPT_SKIP_STD_PROC 0x0002

skip standard lookup algorithm, proceed to custom data

## Typedef Documentation

## ◆ FUNC_T_NFC_KERNEL_CHECKSUM

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_CHECKSUM) (T_NFC_HANDLE pHandle, KER_BYTE btCheckSumType, KER_BYTE *pbtCheckSum, KER_INT16U *pusCheckSumSize)

\ ( )

## ◆ FUNC_T_NFC_KERNEL_DEINIT

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_DEINIT) (T_NFC_HANDLE pHandle)

\ ( )

## ◆ FUNC_T_NFC_KERNEL_GET_DATA

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_GET_DATA) (T_NFC_HANDLE pHandle, KER_INT16U usOptions, KER_BYTE *pbtData, KER_INT16U *pusDataLen)

\ ( )

## ◆ FUNC_T_NFC_KERNEL_GET_DATA_BY_ID

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_GET_DATA_BY_ID) (T_NFC_HANDLE pHandle, KER_INT16U usID, KER_BYTE *pbtData, KER_INT16U *pusDataSize)

\ ( )

## ◆ FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG) (T_NFC_HANDLE pHandle, KER_INT16U usOptions, const KER_BYTE *pbtTag, KER_BYTE btTagSize, KER_BYTE *pbtData, KER_INT16U *pusDataSize)

\ ( )

## ◆ FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG_LIST

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_GET_DATA_BY_TAG_LIST) (T_NFC_HANDLE pHandle, KER_INT16U usOptions, const KER_BYTE *pbtTagList, KER_INT16U usTagListSize, KER_BYTE *pbtData, KER_INT16U *pusDataSize)

\ ( )

## ◆ FUNC_T_NFC_KERNEL_INIT

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_INIT) (KER_INT32U ulRuntimeKernelID, KER_VOID *pCallbackHandle, const T_NFC_CALLBACKS *pCallbacks, const KER_VOID *pConfigID, KER_INT16U usConfigIDLen, T_NFC_HANDLE *ppHandle)

\ ( )

## ◆ FUNC_T_NFC_KERNEL_REGISTERCALLBACK

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_REGISTERCALLBACK) (T_NFC_HANDLE pHandle, KER_INT16U usCllbackID, KER_VOID *pCallback)

\ ( )

## ◆ FUNC_T_NFC_KERNEL_TRAN_ISS_UPDATE

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_TRAN_ISS_UPDATE) (T_NFC_HANDLE pHandle, const NFC_EP_RESTART_DATA *pEpRestartData, const NFC_EXT_TERM_RESTART_DATA *pTermRestartData, NFC_OUTCOME **ppOutcome)

\ ( )

## ◆ FUNC_T_NFC_KERNEL_TRAN_PREPROCESS

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_TRAN_PREPROCESS) (T_NFC_HANDLE pHandle, const NFC_EXT_TERM_TRAN_DATA *pTermTranData, const NFC_EP_PRE_DATA *pEpPRE)

\ ( )

## ◆ FUNC_T_NFC_KERNEL_TRAN_RELEASE

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_TRAN_RELEASE) (T_NFC_HANDLE pHandle)

\ ( )

## ◆ FUNC_T_NFC_KERNEL_TRAN_START

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_TRAN_START) (T_NFC_HANDLE pHandle, const NFC_EP_PRE_DATA *pEpPRE, const NFC_EP_PPSE_DATA *pEpPPSE, const NFC_EP_TRAN_DATA *pEpTranData, NFC_OUTCOME **ppOutcome)

\ ( )

## ◆ FUNC_T_NFC_KERNEL_VERSION

typedef KER_RES(KER_API * FUNC_T_NFC_KERNEL_VERSION) (T_NFC_HANDLE pHandle, KER_CHAR *pchVerInfo, KER_INT16U *pusVerInfoLen)

\ ( )

## Function Documentation

## ◆ t_nfc_Checksum()

T_NFC_KER_MODE KER_RES KER_API t_nfc_Checksum | ( | T_NFC_HANDLE | pHandle,
|  | KER_BYTE | btCheckSumType,
|  | KER_BYTE * | pbtCheckSum,
|  | KER_INT16U * | pusCheckSumSize
| ) |  |

Kernel checksum calculation.

EP should call this function to calculate Kernel checksum.

Parameters

  [in] | pHandle | - handle obtained by t_nfc_kernel_Init
  [in] | btCheckSumType | - type of checksum requested (T_NFC_CHECKSUM_KERNEL - kernel checksum; T_NFC_CHECKSUM_CONFIG - configuration checksum)
  [out] | pbtCheckSum | - buffer to obtain checksum
  [in,out] | pusCheckSumSize | - pbtCheckSum buffer size as input, output containes result data length

Return values

## ◆ t_nfc_Deinit()

T_NFC_KER_MODE KER_RES KER_API t_nfc_Deinit | ( | T_NFC_HANDLE | pHandle | ) |

Kernel De-Initialization.

EP should call this function to release kernel resources

Parameters

  [in] | pHandle | - handle obtained by t_nfc_Init

Return values

## ◆ t_nfc_GetData()

T_NFC_KER_MODE KER_RES KER_API t_nfc_GetData | ( | T_NFC_HANDLE | pHandle,
|  | KER_INT16U | usOptions,
|  | KER_BYTE * | pbtData,
|  | KER_INT16U * | pusDataLen
| ) |  |

Kernel transaction data request.

EP should call this function to obtain transaction data from kernel

Parameters

  [in] | pHandle | - handle obtained by t_nfc_Init
  [in] | usOptions | - get options (bitmask), reserved
  [out] | pbtData | - Buffer to obtain transaction data (in TLV) (path KER_NULL if you need to calculate tran data length only)
  [in,out] | pusDataLen | - Size of Buffer pbtData as input, data length as output

Return values

## ◆ t_nfc_GetDataByID()

T_NFC_KER_MODE KER_RES KER_API t_nfc_GetDataByID | ( | T_NFC_HANDLE | pHandle,
|  | KER_INT16U | usID,
|  | KER_BYTE * | pbtData,
|  | KER_INT16U * | pusDataSize
| ) |  |

Kernel data request by ID.

EP should call this function to obtain data by ID from kernel This function is optional.

Parameters

  [in] | pHandle | - handle obtained by t_nfc_Init
  [in] | usID | - Data ID
  [out] | pbtData | - buffer to obtain provided tag value
  [in,out] | pusDataSize | - pbtData buffer size as input, output containes result data length

Returns
  T_NFC_OK - Success
  T_NFC_INF_NO_DATA - Data not found
  Other - Failure...

## ◆ t_nfc_GetDataByTag()

T_NFC_KER_MODE KER_RES KER_API t_nfc_GetDataByTag | ( | T_NFC_HANDLE | pHandle,
|  | KER_INT16U | usOptions,
|  | const KER_BYTE * | pbtTag,
|  | KER_BYTE | btTagSize,
|  | KER_BYTE * | pbtData,
|  | KER_INT16U * | pusDataSize
| ) |  |

Kernel transaction data request.

EP should call this function to obtain transaction data by tag from kernel

Parameters

  [in] | pHandle | - handle obtained by t_nfc_Init
  [in] | usOptions | - get options (bitmask), reserved
  [in] | pbtTag | - buffer with tag value
  [in] | btTagSize | - pbtTag value length
  [out] | pbtData | - buffer to obtain provided tag value
  [in,out] | pusDataSize | - pbtData buffer size as input, output containes result data length

Returns
  T_NFC_OK - Success
  T_NFC_INF_NO_DATA - Tag not found
  Other - Failure...

## ◆ t_nfc_GetDataByTagList()

T_NFC_KER_MODE KER_RES KER_API t_nfc_GetDataByTagList | ( | T_NFC_HANDLE | pHandle,
|  | KER_INT16U | usOptions,
|  | const KER_BYTE * | pbtTagList,
|  | KER_INT16U | usTagListSize,
|  | KER_BYTE * | pbtData,
|  | KER_INT16U * | pusDataSize
| ) |  |

Kernel transaction data request.

EP should call this function to obtain transaction data by tag list from kernel

Parameters

  [in] | pHandle | - handle obtained by t_nfc_Init
  [in] | usOptions | - get options (bitmask), reserved
  [in] | pbtTagList | - buffer with tag list
  [in] | usTagListSize | - pbtTagList value length
  [out] | pbtData | - buffer to obtain provided tag list in TLV format
  [in,out] | pusDataSize | - pbtData buffer size as input, output containes result data length

Return values

## ◆ t_nfc_Init()

T_NFC_KER_MODE KER_RES KER_API t_nfc_Init | ( | KER_INT32U | ulRuntimeKernelID,
|  | KER_VOID * | pCallbackHandle,
|  | const T_NFC_CALLBACKS * | pCallbacks,
|  | const KER_VOID * | pConfigID,
|  | KER_INT16U | usConfigIDLen,
|  | T_NFC_HANDLE * | ppHandle
| ) |  |

Kernel Initialization.

EP should call this function to initialize kernel

Parameters

  [in] | ulRuntimeKernelID | - kernel internal ID
  [in] | pCallbackHandle | - handle to be passed to callbacks
  [in] | pCallbacks | - structure with the set of callbacks to hardware access
  [in] | pConfigID | - kernel configuration ID (file name in ascii)
  [in] | usConfigIDLen | - length of pConfigID
  [out] | ppHandle | - initialized handle

Returns
  T_NFC_OK Success.
  Other - Failure

Warning
  Obtained kernel handle should be released by t_nfc_kernel_Deinit

## ◆ t_nfc_RegisterCallback()

T_NFC_KER_MODE KER_RES KER_API t_nfc_RegisterCallback | ( | T_NFC_HANDLE | pHandle,
|  | KER_INT16U | usCllbackID,
|  | KER_VOID * | pCallback
| ) |  |

Kernel callback registration.

EP should call this function to register cllbacks

Parameters

  [in] | pHandle | - handle obtained by t_nfc_kernel_Init
  [in] | usCllbackID | - callback ID
  [in] | pCallback | - callback function ptr

Return values

## ◆ t_nfc_TranIssUpdate()

T_NFC_KER_MODE KER_RES KER_API t_nfc_TranIssUpdate | ( | T_NFC_HANDLE | pHandle,
|  | const NFC_EP_RESTART_DATA * | pEpRestartData,
|  | const NFC_EXT_TERM_RESTART_DATA * | pTermRestartData,
|  | NFC_OUTCOME ** | ppOutcome
| ) |  |

Issuer data (obtained by auth request) processing.

EP should call this function to process issuer data (optionally)

Parameters

  [in] | pHandle | - handle obtained by t_nfc_Init
  [in] | pEpRestartData | - Entry Point transaction restart data (last FCI)
  [in] | pTermRestartData | - Terminal transaction restart data (issuer update data assumed)
  [out] | ppOutcome | - pointer to obtain transaction outcome

Return values

## ◆ t_nfc_TranPreprocessing()

T_NFC_KER_MODE KER_RES KER_API t_nfc_TranPreprocessing | ( | T_NFC_HANDLE | pHandle,
|  | const NFC_EXT_TERM_TRAN_DATA * | pTermTranData,
|  | const NFC_EP_PRE_DATA * | pEpPRE
| ) |  |

Makes transaction preprocessing by Kernel (optional)

EP may call this function to preprocess new nfc transaction

Parameters

  [in] | pHandle | - handle obtained by t_nfc_Init
  [in] | pTermTranData | - transaction data, obtained from terminal (optional, set KER_NULL for fixed tran data)
  [in] | pEpPRE | - Entry Point preprocesing data

Return values

## ◆ t_nfc_TranRelease()

T_NFC_KER_MODE KER_RES KER_API t_nfc_TranRelease | ( | T_NFC_HANDLE | pHandle | ) |

Kernel Transaction completion (free resuorces)

EP should call this function to notify kernel of end of operation

Parameters

  [in] | pHandle | - handle obtained by t_nfc_kernel_Init

Return values

## ◆ t_nfc_TranStart()

T_NFC_KER_MODE KER_RES KER_API t_nfc_TranStart | ( | T_NFC_HANDLE | pHandle,
|  | const NFC_EP_PRE_DATA * | pEpPRE,
|  | const NFC_EP_PPSE_DATA * | pEpPPSE,
|  | const NFC_EP_TRAN_DATA * | pEpTranData,
|  | NFC_OUTCOME ** | ppOutcome
| ) |  |

Start new transaction by Kernel.

EP should call this function to process new nfc transaction

Parameters

  [in] | pHandle | - handle obtained by t_nfc_Init
  [in] | pEpPRE | - Entry Point preprocesing data
  [in] | pEpPPSE | - Entry Point selected aid related PPSE data
  [in] | pEpTranData | - transaction data maintained by Entry Point
  [out] | ppOutcome | - pointer to obtain transaction outcome

Return values

## ◆ t_nfc_Version()

T_NFC_KER_MODE KER_RES KER_API t_nfc_Version | ( | T_NFC_HANDLE | pHandle,
|  | KER_CHAR * | pchVerInfo,
|  | KER_INT16U * | pusVerInfoLen
| ) |  |

Kernel version information.

EP should call this function to obtain Kernel version information.

Parameters

  [in] | pHandle | - handle obtained by t_nfc_kernel_Init
  [out] | pchVerInfo | - Buffer to hold the version number of the kernel
  [in,out] | pusVerInfoLen | - Size of pbtVerInfo buffer. This value will be modified to reflect the size of the returned version string.

Return values